Scheduled Call Batches
List Scheduled Call Batch Scheduled Calls
Returns details for all scheduled calls in a scheduled call batch
GET
/
api
/
agents
/
{agent_id}
/
scheduled_batches
/
{batch_id}
/
scheduled_calls
cURL
curl --request GET \
--url https://api.ultravox.ai/api/agents/{agent_id}/scheduled_batches/{batch_id}/scheduled_calls \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.ultravox.ai/api/agents/{agent_id}/scheduled_batches/{batch_id}/scheduled_calls"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.ultravox.ai/api/agents/{agent_id}/scheduled_batches/{batch_id}/scheduled_calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"medium": {
"webRtc": {
"dataMessages": {
"pong": true,
"state": true,
"transcript": true,
"clientToolInvocation": true,
"dataConnectionToolInvocation": true,
"playbackClearBuffer": true,
"callStarted": true,
"debug": true,
"callEvent": true,
"toolUsed": true,
"userStartedSpeaking": true,
"userStoppedSpeaking": true,
"invokingTool": true
}
},
"twilio": {
"outgoing": {
"to": "<string>",
"from": "<string>",
"additionalParams": {}
},
"dtmfHandling": {
"ignore": true,
"userTextMessage": {
"text": "<string>"
}
}
},
"serverWebSocket": {
"inputSampleRate": 123,
"outputSampleRate": 123,
"clientBufferSizeMs": 123,
"dataMessages": {
"pong": true,
"state": true,
"transcript": true,
"clientToolInvocation": true,
"dataConnectionToolInvocation": true,
"playbackClearBuffer": true,
"callStarted": true,
"debug": true,
"callEvent": true,
"toolUsed": true,
"userStartedSpeaking": true,
"userStoppedSpeaking": true,
"invokingTool": true
},
"mediaIdleTimeout": "<string>"
},
"telnyx": {
"outgoing": {
"to": "<string>",
"from": "<string>",
"additionalParams": {}
},
"dtmfHandling": {
"ignore": true,
"userTextMessage": {
"text": "<string>"
}
}
},
"plivo": {
"outgoing": {
"to": "<string>",
"from": "<string>",
"additionalParams": {}
},
"dtmfHandling": {
"ignore": true,
"userTextMessage": {
"text": "<string>"
}
}
},
"exotel": {
"dtmfHandling": {
"ignore": true,
"userTextMessage": {
"text": "<string>"
}
}
},
"sip": {
"incoming": {},
"outgoing": {
"to": "<string>",
"from": "<string>",
"username": "<string>",
"password": "<string>"
}
}
},
"metadata": "<unknown>",
"templateContext": "<unknown>",
"experimentalSettings": null
}
],
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"total": 123
}Authorizations
API key
Query Parameters
The pagination cursor value.
Number of results to return per page.
FUTURE- FUTUREPENDING- PENDINGSUCCESS- SUCCESSEXPIRED- EXPIREDERROR- ERROR
Available options:
FUTURE, PENDING, SUCCESS, EXPIRED, ERROR Minimum string length:
1⌘I
cURL
